Package org.apache.avro.specific

# Class SpecificExceptionBase

java.lang.Object
java.lang.Throwable
java.lang.Exception
org.apache.avro.AvroRemoteException
org.apache.avro.specific.SpecificExceptionBase

All Implemented Interfaces:
  `Externalizable`, `Serializable`, `GenericContainer`, `IndexedRecord`, `SpecificRecord`

public abstract class SpecificExceptionBase extends AvroRemoteException implements SpecificRecord, Externalizable
Base class for specific exceptions.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`SpecificExceptionBase()`
`SpecificExceptionBase(Object value)`
`SpecificExceptionBase(Object value, Throwable cause)`
`SpecificExceptionBase(Throwable value)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object that)`
`abstract Object`
`get(int field)`
Return the value of a field given its position in the schema.
`abstract Schema`
`getSchema()`
The schema of this instance.
`SpecificData`
`getSpecificData()`
`int`
`hashCode()`
`abstract void`
`put(int field, Object value)`
Set the value of a field given its position in the schema.
`abstract void`
`readExternal(ObjectInput in)`
`abstract void`
`writeExternal(ObjectOutput out)`

### Methods inherited from class org.apache.avro.AvroRemoteException

`getValue`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### SpecificExceptionBase

public SpecificExceptionBase()

### SpecificExceptionBase

public SpecificExceptionBase(Throwable value)

### SpecificExceptionBase

public SpecificExceptionBase(Object value)

### SpecificExceptionBase

public SpecificExceptionBase(Object value, Throwable cause)

## Method Details

### getSchema

public abstract Schema getSchema()
Description copied from interface: `GenericContainer`
The schema of this instance.

Specified by:
  `getSchema` in interface `GenericContainer`

### get

public abstract Object get(int field)
Description copied from interface: `IndexedRecord`
Return the value of a field given its position in the schema.

This method is not meant to be called by user code, but only by `DatumWriter` implementations.

Specified by:
  `get` in interface `IndexedRecord`

### put

public abstract void put(int field, Object value)
Description copied from interface: `IndexedRecord`
Set the value of a field given its position in the schema.

This method is not meant to be called by user code, but only by `DatumReader` implementations.

Specified by:
  `put` in interface `IndexedRecord`

### equals

public boolean equals(Object that)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### writeExternal

public abstract void writeExternal(ObjectOutput out) throws IOException

Specified by:
  `writeExternal` in interface `Externalizable`
Throws:
  `IOException`

### readExternal

public abstract void readExternal(ObjectInput in) throws IOException

Specified by:
  `readExternal` in interface `Externalizable`
Throws:
  `IOException`

### getSpecificData

public SpecificData getSpecificData()